Package: org.codehaus.groovy.classgen.asm

## [Java] Class StatementMetaTypeChooser

- org.codehaus.groovy.classgen.asm.StatementMetaTypeChooser

- All Implemented Interfaces and Traits:
    TypeChooser

      public class StatementMetaTypeChooser
      extends Object
      implements TypeChooser

  A TypeChooser which is aware of statement metadata.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public ClassNode` | `resolveType(Expression exp, ClassNode current)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### @Override
      public ClassNode resolveType(Expression exp, ClassNode current)